Module org.apache.derby.tools
Package org.apache.derby.jdbc

## Class BasicClientDataSource40

- java.lang.Object
- - org.apache.derby.client.BasicClientDataSource
  - - org.apache.derby.jdbc.BasicClientDataSource40

- All Implemented Interfaces:
    `Serializable`, `Wrapper`, `CommonDataSource`, `DataSource`, `org.apache.derby.client.ClientDataSourceInterface`
  Direct Known Subclasses:
    `BasicClientConnectionPoolDataSource40`, `BasicClientXADataSource40`, `ClientDataSource`

      public class BasicClientDataSource40
      extends org.apache.derby.client.BasicClientDataSource

  This data source is suitable for client/server use of Derby, running on Java 8 Compact Profile 2 or higher.

  BasicClientDataSource40 is similar to ClientDataSource except it can not be used with JNDI, i.e. it does not implement `javax.naming.Referenceable`.

  * The standard attributes provided are, cf. e.g. table 9.1 in the JDBC 4.2 specification.
  - databaseName
  - dataSourceName
  - description
  - password
  - user
  These standard attributes are not supported:
  - networkProtocol
  - roleName
  The Derby client driver also supports these attributes:
  - loginTimeout
  @see javax.sql.CommonDataSource set/get
  - logWriter
  @see javax.sql.CommonDataSource set/get
  - createDatabase
  - connectionAttributes
  - shutdownDatabase
  - attributesAsPassword
  - retrieveMessageText
  - securityMechanism
  - traceDirectory
  - traceFile
  - traceFileAppend
  - traceLevel
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.derby.client.BasicClientDataSource

      `className__, CLEAR_TEXT_PASSWORD_SECURITY, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_traceLevel, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, USER_ONLY_SECURITY`

    - ### Fields inherited from interface org.apache.derby.client.ClientDataSourceInterface

      `propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_user`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicClientDataSource40()` | Creates a simple DERBY data source with default property values for a non-pooling, non-distributed environment.

  - ### Method Summary

    - ### Methods inherited from class org.apache.derby.client.BasicClientDataSource

      `computeDncLogWriterForNewConnection, getClientSSLMode, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getPassword, getPortNumber, getProperties, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUser, getUser, isWrapperFor, maxStatementsToPool, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser, tokenizeAttributes, unwrap`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `createShardingKeyBuilder`

    - ### Methods inherited from interface javax.sql.DataSource

      `createConnectionBuilder`

- - ### Constructor Detail

    - #### BasicClientDataSource40

          public BasicClientDataSource40()

      Creates a simple DERBY data source with default property values for a non-pooling, non-distributed environment. No particular DatabaseName or other properties are associated with the data source.

      Every Java Bean should provide a constructor with no arguments since many beanboxes attempt to instantiate a bean by invoking its no-argument constructor.